ElevenLabs Music v2

Music generation for songs, instrumentals, background tracks, and jingles.

Audio

Music v2 technical docs

Endpoint, auth header, parameters, prices, and tested request examples for ElevenLabs Music v2.

Endpoint

Endpoint and pricing

POST /audio/music Endpoint https://api.imole.app/v1 Base URL 500 API cauris 500 Agent cauris
Headers

Request headers

Authorization required

Bearer Imole API key.

Content-Type required

Use application/json for JSON requests.

Parameters

Request parameters

model required

Use music_v2.

prompt required

Music brief: genre, mood, tempo, instruments, and use case.

duration_seconds

Requested duration in seconds.

music_length_ms

Requested duration in milliseconds.

Examples

Tested request examples

Short jingle
curl -X POST "https://api.imole.app/v1/audio/music" \
  -H "Authorization: Bearer $IMOLE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "music_v2",
  "prompt": "A calm five second startup jingle with marimba and soft bass",
  "duration_seconds": 5
}' \
  --output music-v2.mp3
Millisecond duration
curl -X POST "https://api.imole.app/v1/audio/music" \
  -H "Authorization: Bearer $IMOLE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "music_v2",
  "prompt": "A bright product intro bed with light percussion and plucked synths",
  "music_length_ms": 8000
}' \
  --output music-v2-8s.mp3
Longer ambient bed
curl -X POST "https://api.imole.app/v1/audio/music" \
  -H "Authorization: Bearer $IMOLE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "music_v2",
  "prompt": "A ten second ambient product bed with soft pads and gentle pulse",
  "duration_seconds": 10
}' \
  --output music-v2-10s.mp3